@ECHO OFF

IF EXIST "root" (
ECHO Please remove "root" folder.
PAUSE
EXIT
)

IF EXIST "%1" ( GOTO :HASFILE ) ELSE ( GOTO :NOFILE )

:HASFILE
GOTO :MAIN

:NOFILE
ECHO Pikmin 2 iso file not found. Please drag a Pikmin 2 iso onto the bat file.
PAUSE
EXIT


:MAIN
ECHO Welcome to the Yellow Edition installer! v1.3 (Made by Captain Salty)
ECHO Extracting Pikmin 2 iso...
"%~dp0..\nodtool.win64" extract -c 2 %1 "%~dp0root"
ECHO iso extracted...

XCOPY /y "%~dp0Patch\Start.dol"			"%~dp0root\sys\main.dol"
XCOPY /y "%~dp0Patch\boot.bin"			"%~dp0root\sys\boot.bin"
XCOPY /e/i/y "%~dp0Patch\user"			"%~dp0root\files\user"
XCOPY /e/i/y "%~dp0Patch\enemy"			"%~dp0root\files\enemy"
XCOPY /e/i/y "%~dp0Patch\thp"			"%~dp0root\files\thp"
XCOPY /e/i/y "%~dp0Patch\message"		"%~dp0root\files\message"
XCOPY /e/i/y "%~dp0Patch\new_screen"	"%~dp0root\files\new_screen"
XCOPY /y "%~dp0Patch\opening.bnr"		"%~dp0root\files\opening.bnr"

ECHO Now building new iso...
"%~dp0..\nodtool.win64" makegcn -c 2 "%~dp0root" "YellowEdition%~x1"
rd /s /q "%~dp0root"
ECHO done! :)
PAUSE
