@ECHO OFF

IF EXIST "root" (
ECHO Please remove "root" folder.
PAUSE
EXIT
)

IF EXIST "%1" ( GOTO :HASFILE ) ELSE ( GOTO :NOFILE )

:HASFILE
GOTO :MAIN

:NOFILE
ECHO Pikmin 2 iso file not found. Please drag a pikmin 2 iso onto the bat file.
PAUSE
EXIT

:MAIN
ECHO Welcome to the Pikmini installer!
ECHO Extracting Pikmin 2 iso...
"%~dp0..\nodtool.win64" -c 2 extract %1 "%~dp0root"
ECHO iso extracted...

XCOPY /y "%~dp0Patch\main.dol"							"%~dp0root\sys\main.dol"
XCOPY /y "%~dp0Patch\title.szs"							"%~dp0root\files\user\Ebisawa\title\title.szs"
XCOPY /y "%~dp0Patch\SmallgroundCameraParms.txt"		"%~dp0root\files\SmallgroundCameraParms.txt"*
XCOPY /y "%~dp0Patch\SmallnaviParms.txt"				"%~dp0root\files\SmallnaviParms.txt"*
XCOPY /y "%~dp0Patch\SmallpikiParms.txt"				"%~dp0root\files\SmallpikiParms.txt"*
XCOPY /y "%~dp0Patch\opening.bnr"						"%~dp0root\files\opening.bnr"

ECHO Now building new iso...
"%~dp0..\nodtool.win64" makegcn -c 2 "%~dp0root" "Pikmini%~x1"
rd /s /q "%~dp0root"
ECHO done! :)
PAUSE
