@ECHO OFF

IF EXIST "root" (
ECHO Please remove "root" folder.
PAUSE
EXIT
)

IF EXIST "%1" ( GOTO :HASFILE ) ELSE ( GOTO :NOFILE )

:HASFILE
GOTO :MAIN

:NOFILE
ECHO Pikmin 2 iso file not found. Please drag a pikmin 2 iso onto the bat file.
PAUSE
EXIT

:MAIN
ECHO Welcome to the Pikmin 2 Playable Enemies installer!
ECHO Extracting Pikmin 2 iso...
"%~dp0..\nodtool.win64" -c 2 extract %1 "%~dp0root"
ECHO iso extracted...

XCOPY /y "%~dp0Patch\main.dol"			"%~dp0root\sys\main.dol"

ECHO Now building new iso...
"%~dp0..\nodtool.win64" makegcn -c 2 "%~dp0root" "Pikmin2PE%~x1"
rd /s /q "%~dp0root"
ECHO done! :)
PAUSE
