@ECHO OFF

IF EXIST "root" (
ECHO Please remove "root" folder.
PAUSE
EXIT
)

IF EXIST "%1" ( GOTO :HASFILE ) ELSE ( GOTO :NOFILE )

:HASFILE
GOTO :MAIN

:NOFILE
ECHO Pikmin 2 iso file not found. Please drag a pikmin 2 iso onto the bat file.
PAUSE
EXIT


:MAIN
ECHO Welcome to the Quickmin installer!
ECHO Extracting Pikmin 2 iso...
"%~dp0..\nodtool.win64" extract -c 2 %1 "%~dp0root"
ECHO iso extracted...

XCOPY /y "%~dp0Patch\main.dol"				"%~dp0root\sys\main.dol"
XCOPY /y "%~dp0Patch\defaultgen.txt"		"%~dp0root\files\user\Abe\map\Tutorial\defaultgen.txt"
XCOPY /y "%~dp0Patch\message_window.szs"	"%~dp0root\files\new_screen\cmn\message_window.szs"
XCOPY /y "%~dp0Patch\res_ground.szs"		"%~dp0root\files\new_screen\eng\res_ground.szs"
XCOPY /y "%~dp0Patch\res_cave.szs"			"%~dp0root\files\new_screen\eng\res_cave.szs"
XCOPY /y "%~dp0Patch\QuicknaviParms.txt"	"%~dp0root\files\QuicknaviParms.txt"*
XCOPY /y "%~dp0Patch\QuickpikiParms.txt"	"%~dp0root\files\QuickpikiParms.txt"*
XCOPY /y "%~dp0Patch\opening.bnr"			"%~dp0root\files\opening.bnr"

ECHO Now building new iso...
"%~dp0..\nodtool.win64" makegcn -c 2 "%~dp0root" "Quickmin%~x1"
rd /s /q "%~dp0root"
ECHO done! :)
PAUSE
